Status List Signers
Create a Status List Signer
/v2/credentials/mobile/status-list-signersUses an existing IACA to sign a status list signer (intermediate certificate) that can be used to sign status list tokens.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of three Status List Signers can be created per tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/status-list-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}Revoke a Status List Signer
/v2/credentials/mobile/status-list-signers/{statusListSignerId}/revokeRevokes an existing status list signer, making it unusable for signing new status lists.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Status list signer identifier
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Empty request body for status list signer revocation
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "revoked": true, "revocationDate": "2025-10-31T23:59:59Z"}Retrieve all Status List Signers
/v2/credentials/mobile/status-list-signersRetrieves all existing status list signers.
Roles
Analytics Events
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-list-signers"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----" } ]}Retrieve a Status List Signer
/v2/credentials/mobile/status-list-signers/{statusListSignerId}Retrieves an existing status list signer.
Status list signer operations are only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Status list identifier
uuidResponse Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}Update a Status List Signer
/v2/credentials/mobile/status-list-signers/{statusListSignerId}Updates the status of an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Status list identifier
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "certificatePem": "string", "certificateFingerprint": "475DA948E4BA44D9B5BC31AB4B8006113FD5F538", "certificateData": { "notBefore": "2019-08-24T14:15:22Z", "notAfter": "2019-08-24T14:15:22Z", "country": "string", "stateOrProvinceName": "string", "organisationName": "string" }}Delete a Status List Signer
/v2/credentials/mobile/status-list-signers/{statusListSignerId}Deletes an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Status list identifier
uuidResponse Body
curl -X DELETE "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on